Author Topic: [solved] cards sync -i error  (Read 791 times)

rrbs

  • Newbie
  • *
  • Posts: 4
  • Karma: +0/-0
  • Gender: Male
[solved] cards sync -i error
« on: Thu Jan 09 14:11:06 2020 »
Hey,

i've a error about "cards sync -i".
Can you help me?

thanks

Code: [Select]
sudo cards sync -i
/var/lib/pkg/depot/nos/.PKGREPO
HTTP response code said error
cards 2.4.98 sync:

URL   : http://downloads.nutyx.org/x86_64/rolling/nos/.PKGREPO
FILE  : /var/lib/pkg/depot/nos/.PKGREPO
MD5SUM:

 !!! download failed !!!
« Last Edit: Thu Jan 09 18:19:00 2020 by rrbs »

Thierry

  • Administrator
  • Hero Member
  • *****
  • Posts: 598
  • Karma: +10/-0
  • Gender: Male
    • NuTyX distribution
Re: cards sync -i error
« Reply #1 on: Thu Jan 09 14:48:17 2020 »
First mistake:

The numbers / names of officials collections have been changed since the NuTyX 11.2 version:

They are now named:

desktops
gui-extra
gui
cli-extra
cli
base

You need to adjust your /etc/cards.conf to meet those requirements.
Means delete, adjust the dir lines

Second mistake:


Code: [Select]
sudo cards sync
the sync don't use -i

Code: [Select]
cards sync -h
« Last Edit: Thu Jan 09 14:51:01 2020 by Thierry »

rrbs

  • Newbie
  • *
  • Posts: 4
  • Karma: +0/-0
  • Gender: Male
Re: cards sync -i error
« Reply #2 on: Thu Jan 09 16:30:44 2020 »
How do you mean? What should the cards.conf look like now?
This is my card.conf

Code: [Select]

# Default server URL
url http://downloads.nutyx.org
#
## For nos
# Comment following line
# If you don't want to install Non Open source/Not compiled packages
#
dir /var/lib/pkg/depot/nos
#
## For LXQt
# Comment following 2 lines
# if you don't want to install LXQt
#
dir /var/lib/pkg/depot/lxqt-extra
dir /var/lib/pkg/depot/lxqt
#
## For lxde
# Comment following 2 lines
# if you don't want to install lxde
#
dir /var/lib/pkg/depot/lxde-extra
dir /var/lib/pkg/depot/lxde
#
## For Gnome
# Decomment following 2 lines
# if you don't want to install gnome
#
# dir /var/lib/pkg/depot/gnome-extra
# dir /var/lib/pkg/depot/gnome
#
## For mate
# Comment following 2 lines
# if you don't want to install mate
#
dir /var/lib/pkg/depot/mate-extra
dir /var/lib/pkg/depot/mate
#

## For kde5
# Comment following 2 lines
# if you don't want to install kde5
#
dir /var/lib/pkg/depot/kde5-extra
dir /var/lib/pkg/depot/kde5
#
## For xfce4
# Comment following 2 lines
# if you don't want to install xfce4
#
dir /var/lib/pkg/depot/xfce4-extra
dir /var/lib/pkg/depot/xfce4
#
#
## Normally everything under this line
# are needed stuffs
#
## For all the graphical applications
dir /var/lib/pkg/depot/gui-extra
#
## For a minimal graphical interface
dir /var/lib/pkg/depot/gui
#
## For all the console applications
dir /var/lib/pkg/depot/cli-extra
#
## For a minimal console interface
dir /var/lib/pkg/depot/cli
#
## Chroot system without reboot possibilities for a chroot
dir /var/lib/pkg/depot/base
#
## Normaly you want to keep base and
base /var/lib/pkg/depot/base
#
#
## If you want to keep more collections remove comments below
# Adjust to your needs
#
 base /var/lib/pkg/depot/cli
 base /var/lib/pkg/depot/cli-extra
 base /var/lib/pkg/depot/gui
 base /var/lib/pkg/depot/gui-extra
 base /var/lib/pkg/depot/...
group de


dufresnep

  • Newbie
  • *
  • Posts: 43
  • Karma: +0/-0
Re: cards sync -i error
« Reply #3 on: Thu Jan 09 17:22:48 2020 »
hum... something like:
Code: [Select]
# Default server URL
url http://downloads.nutyx.org

# From Paul: I think nos is gone, so I commented it
## For nos
# Comment following line
# If you don't want to install Non Open source/Not compiled packages
#
# dir /var/lib/pkg/depot/nos
#

## Normally everything under this line
# are needed stuffs
#

## For the different desktops environments: gnome, kde, mate, xfce, lxqt, etc.
dir /var/lib/pkg/depot/desktops
#
## For all the graphical applications
dir /var/lib/pkg/depot/gui-extra
#
## For a minimal graphical interface
dir /var/lib/pkg/depot/gui
#
## For all the console applications
dir /var/lib/pkg/depot/cli-extra
#
## For a minimal console interface
dir /var/lib/pkg/depot/cli
#
## Chroot system without reboot possibilities for a chroot
dir /var/lib/pkg/depot/base
#

## Normaly you want to keep base and
base /var/lib/pkg/depot/base
#
#
## If you want to keep more collections remove comments below
# Adjust to your needs
#
 base /var/lib/pkg/depot/cli
 base /var/lib/pkg/depot/cli-extra
 base /var/lib/pkg/depot/gui
 base /var/lib/pkg/depot/gui-extra
 base /var/lib/pkg/depot/...
group de

Thierry

  • Administrator
  • Hero Member
  • *****
  • Posts: 598
  • Karma: +10/-0
  • Gender: Male
    • NuTyX distribution
Re: cards sync -i error
« Reply #4 on: Thu Jan 09 17:23:54 2020 »

rrbs

  • Newbie
  • *
  • Posts: 4
  • Karma: +0/-0
  • Gender: Male
Re: [solved] cards sync -i error
« Reply #5 on: Thu Jan 09 18:19:50 2020 »
Thanks.

now all is ok.